# $Revision: 1.11 $, $Date: 2004/08/18 21:54:17 $
Summary:	High-level Widget Set for Tcl/Tk
Summary(pl):	Wysokopoziomowy zestaw widgetw dla Tcl/Tk
Name:		tk-BWidget
Version:	1.7.0
Release:	4
License:	distributable
Group:		Development/Languages/Tcl
Source0:	http://dl.sourceforge.net/tcllib/BWidget-%{version}.tar.gz
# Source0-md5:	d28c6b781dd06f09e55bbb3fccb1ee3c
URL:		http://sourceforge.net/projects/tcllib/
Requires:	tk >= 8.3.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The BWidget Toolkit is a high-level Widget Set for Tcl/Tk built using
native Tcl/Tk 8.x namespaces.

The BWidgets have a professional look&feel as in other well known
Toolkits (Tix or Incr Widgets), but the concept is radically different
because everything is pure Tcl/Tk.  No platform dependencies, and no
compiling required.  The code is 100% Pure Tcl/Tk.

%description -l pl
BWidget Toolkit to wysokopoziomowy zestaw widgetw dla Tcl/Tk
zbudowany przy uyciu natywnych przestrzeni nazw Tcl/Tk 8.x.

BWidgets maj profesjonalny wygld jak w innych dobrze znanych
toolkitach (Tix lub Incr Widgets), ale koncepcyjnie s cakowicie
inne, poniewa wszysko jest czystym Tcl/Tk. Nie ma zalenoci od
platformy, nie wymagaj kompilacji. Kod jest w 100% czystym Tcl/Tk.

%prep
%setup -qn BWidget-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name} \
	$RPM_BUILD_ROOT/usr/lib/%{name}%{version}/{lang,images}

install *.tcl $RPM_BUILD_ROOT/usr/lib/%{name}%{version}
install lang/*  $RPM_BUILD_ROOT/usr/lib//%{name}%{version}/lang
install images/*  $RPM_BUILD_ROOT/usr/lib/%{name}%{version}/images
install demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt ChangeLog LICENSE.txt README.txt BWman
%dir /usr/lib/%{name}%{version}
/usr/lib/%{name}%{version}/*.tcl
/usr/lib/%{name}%{version}/images
%dir /usr/lib/%{name}%{version}/lang
/usr/lib/%{name}%{version}/lang/en.rc
%lang(de) /usr/lib/%{name}%{version}/lang/de.rc
%lang(es) /usr/lib/%{name}%{version}/lang/es.rc
%lang(fr) /usr/lib/%{name}%{version}/lang/fr.rc
%{_examplesdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tk-BWidget.spec,v $
Revision 1.11  2004/08/18 21:54:17  havner
- rel 4, stupid tags

Revision 1.10  2004/08/18 21:37:03  havner
- wrrr

Revision 1.9  2004/08/18 21:34:55  havner
- until somebody(tm) fixes it, tcl files are kept (inproperly)
  in /usr/lib, even on amd64, this dir has to be changed to /usr/share
  but all tk/tcl packages needs to be fixed
- rel 2

Revision 1.8  2003/12/30 20:13:17  qboosh
- updated to 1.7.0

Revision 1.7  2003/07/07 11:17:08  wiget
- updated to 1.6.0

Revision 1.6  2003/05/28 13:02:16  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:27:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.3  2003/01/19 22:21:39  qboosh
- pl description

Revision 1.2  2003/01/13 07:54:01  jajcus
- source tarball name, and directory fixed

Revision 1.1  2003/01/11 16:48:13  jajcus
- proper summary and description
- renamed from BWidget to tk-BWidget

Revision 1.1  2003/01/10 20:47:49  jajcus
- initial spec
